Package com.verisign.epp.codec.relateddomainext

## Class EPPRelatedDomainExtTransferResp

- java.lang.Object
- - com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtTransferResp

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPRelatedDomainExtTransferResp
      extends java.lang.Object
      implements EPPCodecComponent

  EPPCodecComponent that encodes and decodes a <relDom:trnData> tag associated with a Domain-Transfer response.

  Title: EPP 1.0 Related Domain - trnData tag

  Description: The EPPRelatedDomainExtTransferResp object represents the collection of domains that have been transferred atomically. As such it is composed of a collection of `EPPRelatedDomainExtDomainData` objects.
  As XML, it is represented by a <relDom:trnData> element containing a number of <relDom:domain> elements.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_NAME` | Element tag name for trnData

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRelatedDomainExtTransferResp()` | Default constructor
    `EPPRelatedDomainExtTransferResp​(java.util.List<EPPRelatedDomainExtDomainData> aDomains)` | Constructor with a list of domains to be transferred.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addDomain​(EPPRelatedDomainExtDomainData aDomain)` | Adds a related domain represented by `EPPRelatedDomainExtDomainData` to the list of related domains to transfer.
    `java.lang.Object` | `clone()` | A deep clone of the EPPRelatedDomainExtTransferResp
    `void` | `decode​(org.w3c.dom.Element aElement)` | Populate the data of this instance with the data stored in the given Element of the DOM tree
    `org.w3c.dom.Element` | `encode​(org.w3c.dom.Document aDocument)` | Append all data from the list of the list of domains that have been transferred represented by `EPPRelatedDomainExtDomainData` to given DOM Document
    `boolean` | `equals​(java.lang.Object aObj)` | A deep comparison of this with another EPPRelatedDomainExtTransferResp.
    `java.util.List<EPPRelatedDomainExtDomainData>` | `getDomains()` | Returns the list of available related domain names represented by `EPPRelatedDomainExtDomainData`
    `java.lang.String` | `getNamespace()` | Returns the XML namespace associated with the `EPPCodecComponent`.
    `boolean` | `hasDomains()` | Are there any domains included in the list of domains?
    `void` | `setDomains​(java.util.List<EPPRelatedDomainExtDomainData> aDomains)` | Sets the list of available related domain names represented by `EPPRelatedDomainExtDomainData`
    `java.lang.String` | `toString()` | Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Element tag name for trnData
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRelatedDomainExtTransferResp

          public EPPRelatedDomainExtTransferResp()

      Default constructor

    - #### EPPRelatedDomainExtTransferResp

          public EPPRelatedDomainExtTransferResp​(java.util.List<EPPRelatedDomainExtDomainData> aDomains)

      Constructor with a list of domains to be transferred.
      Parameters:
        `aDomains` - List of domains to be transferred

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      A deep clone of the EPPRelatedDomainExtTransferResp
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPCodecComponent`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception
      See Also:
        `Object.clone()`

    - #### decode

          public void decode​(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Populate the data of this instance with the data stored in the given Element of the DOM tree
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - The root element of the report fragment of XML
      Throws:
        `EPPDecodeException` - Thrown if any errors occur during decoding.

    - #### encode

          public org.w3c.dom.Element encode​(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Append all data from the list of the list of domains that have been transferred represented by `EPPRelatedDomainExtDomainData` to given DOM Document
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - The DOM Document to append data to
      Returns:
        Encoded DOM `Element`
      Throws:
        `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

    - #### equals

          public boolean equals​(java.lang.Object aObj)

      A deep comparison of this with another EPPRelatedDomainExtTransferResp.
      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### addDomain

          public void addDomain​(EPPRelatedDomainExtDomainData aDomain)

      Adds a related domain represented by `EPPRelatedDomainExtDomainData` to the list of related domains to transfer.
      Parameters:
        `aDomain` - Related domain to add to the list to transfer.

    - #### hasDomains

          public boolean hasDomains()

      Are there any domains included in the list of domains?
      Returns:
        `true` if the domain list is not `null` and there is at least one domain in the list; `false` otherwise.

    - #### getDomains

          public java.util.List<EPPRelatedDomainExtDomainData> getDomains()

      Returns the list of available related domain names represented by `EPPRelatedDomainExtDomainData`
      Returns:
        the related domains to transfer

    - #### setDomains

          public void setDomains​(java.util.List<EPPRelatedDomainExtDomainData> aDomains)

      Sets the list of available related domain names represented by `EPPRelatedDomainExtDomainData`
      Parameters:
        `aDomains` - the related domains to set to transfer

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.